History

Version 1.2.1 / 08.11.2005
==========================
- using newest API 6.6.0.1
- minor changes for background erase
- removed releases for Nero 5.5 and 6.0

Version 1.2.0 / 29.03.2005
==========================
- bugfix for non closing save image file dialog
  when using Image recorder and pressing cancel button
- default source directory (stored in ini file)

Version 1.1.9 / 21.03.2005
==========================
- don't write short lead out on DVD-R media
- only API 6.3: if DVD-ROM booktype option isn't set,
  setting of booktype will not be touched
  (useful if you set booktype using an external program)

Version 1.1.8 / 31.01.2005
==========================
- bugfix for segfault while erase rw media
- fixed display problems with color bar
- window size optimized for smaller screens (800x600)
- fixed "record button" glitch
- added verify checkbox in main dialog
- write standard leadout (no short leadout)

Version 1.1.6 / 27.09.2004
==========================
- (hopefully) bugfix for segfault while erasing
- eject button added
- new 6.3 API for double layer support
- new color bar
- bugfix for not inserting Volume Label

Version 1.1.5 / 07.05.2004
==========================
- bugfix for shutdown problem on Win9x/Me
- bugfix for wrong desktop folder on Win9x/Me
- progress bar for source size
- source size limit can be changed
- file time problem fixed
- save ini file on changed settings

Version 1.1.4 / 29.03.2004
==========================
- source code compatible
  to old APIs
- newest version of ImgTool Burn
  also available for Nero 5.5.x
- some memory leaks closed

Version 1.1.3 / 23.03.2004
==========================
- get VolumeID from drive
- Using NeroAPI 6.3.0.0

Version 1.1.2 / 25.02.2004
==========================
- play WAV sound if burning
  has completed
- add field to count chars
  in volume box
- forced shutdown in settings added
- forced "only 16 char Volume" in settings added
- ask "are you sure...?" if burn abort was pressed
- add field in about dialog
  for translater

Version 1.1.1 / 29.01.2004
==========================
- language file support added
- language changeable within the dialog window
- Shutdown can be disabled even if burning was started
- better check/convert Volume Label
- detect Volume Label from source directory
- XP Style buttons
- improved installer

Version 1.1.0 / 28.11.2003
==========================
- "clear log button" added
- bugfix "Insert Blank media" issue

Version 1.00.9 / 21. + 28.09.2003
=================================
- drag'n'drop of VIDEO_TS dir possible
- small bugfix while building ISO tree
- small bugfix for DVD default button
- (hopefully) better erase handling
  for rewriteable media
- startpath error fixed (28.09.2003)

Version 1.00.8 / 11.08.2003
===========================
- never official released
- try bugfixing for Volume label "new"
  but this was an API bug which is fixed
  since Nero 6.0.0.11

Version 1.00.7 / 07.08.2003
===========================
- new NeroAPI 6.0.0.0
- official support for Nero 6.0.x.x
- ISO 9660 is enabled by default
  (NeroAPI Bug was fixed in Nero 6)
- setting DVD-ROM Booktype now possible
  (Menu "Other Settings")
- you now need at least Nero 5.5.10.7!

Version 1.00.6 / 14.07.2003
===========================
- installer used
- context mode added
- cl error handling improved

Version 1.00.5 / 10.07.2003
===========================
- yes, I'm still alive ;)
- percent display in title bar added
- command line processing added
- display only supported devices
- UDF only file system is the new default
- some improvements
- bugfixes
- and possible new bugs added...

Version 1.00.4 / 18.03.2003
===========================
- Speed Reload button reloads the API
  and list now all possible speeds
- Shutdown after write added
  (only if burning was successful)
- erasing a rewritable no more blocks/freeze
  complete dialog (using threads)

Version 1.00.3 / 05.03.2003
===========================
- BugFix: writing on ImageRecorder fixed

Version 1.00.2 / 26.02.2003
===========================
- using NeroAPI 5.5.9.14
- better handling non empty media
- Speed Reload Button added
  (to get supportet speed for new inserted media)
- More burning options with new menu entry
  "Other Settings" (also stored in ini file)

Version 1.00.1 / 24.02.2003
===========================
- function to obtain the speed
  changed

Version 0.99.9 / 11.01.2003
===========================
- close every find handle
  (hope now the source DVD Root can be deleted
  without restarting windows)
- Don't change Speed after
  "automatical reallocation OFF"
- choosed Speed is now saved in ini file

Version 0.99.8 / 04.01.2003
===========================
- If reallocation fails the message box appears
  but from an external function. The burn function
  is started again but NOT in recursive mode.
  (Hope this will help 2COOL)
- missing video_ts.vob will be ignored
- workaround for NeroAPI LogLine Bug

Version 0.99.7 / 18.12.2002
===========================
- filesystem flags can be changed
- "save actual settings" possible
- if reallocation doesn't work, ImgTools
  brings up a dialog which asks if you would
  try to burn without reallocation

Version 0.99.5 / 13.12.2002
===========================
- a friday 13th release ;)
- bug fix in "Phase"/"Logline" report of log
- better handling non empty DVD/CD media
- Image file will use the same name as Volume Label

Version 0.99.4 / 10.12.2002
===========================
- "reallocate VTS..." checked per default
  (see "help" ==> "FAQ" for details)
- new Button "save log"
- extended help
- slightly XP styled ;)

Version 0.99.3 / 23.11.2002
===========================
- mux and demux functions removed
  (the DLLs were removed due to copyright issues)
- improved DVD ISO tree function
  + supports JACKET_P dir
  + import any other dir/file in the DVD-Root
- Total/Remaining Time added
- warnings for missing files (no break while ISO tree creation)
- minimize button activated
- bugfix: wrong information for missing files displayed
- new help added

Version 0.99.2 / 19.11.2002
===========================
- new DVD ISO build function
  + sort files
  + generates VIDEO_TS dir if needed
  + no AUDIO_TS dir is needed anymore
- Reallocation of VIDEO_TS is disabled by default
  (needed for burning uncomplete DVD Rool DIRs)

Version 0.99.1 / 17.11.2002
===========================
- write speed selection possible
- BugFix: Checkbox "High Compatibility" doesn't work (uncheck)
- Check Volume Name for illegal chars
- deactivate DVD/CD caller at NeroAPI reset
- disable "High Compatibility Mode" when using CD settings

Version 0.99 / 15.11.2002
=========================
- new libs for muxing and demuxing
- burn possibility with NeroAPI added

Version 0.89 / 28.05.2002
=========================
- BugFix: dir dialog doesn't depend from main application
- muxing and demuxing included

Version 0.85
============
- uses ImgLib from Authoringware to create dvd compatible DVD Images


Kontakt

Du kannst mich per Mail erreichen:
coujo@gmx.net

Oder Du kannst meine Homepage besuchen (und gleichzeitig ein paar € oder $$$$ spenden [image])
http://www.coujo.de


Warum ImgTool?

Warum ImgTool Burn?

ImgTool Burn benutzt die NeroAPI (von Nero Burning Rom) um DVD Root Verzeichnisse auf DVD zu brennen.

Es ist möglicherweise der einfachste Weg um eine DVD-Video kompatible DVD zu erstellen.

Es hat noch ein paar weitere Vorteile - benutze es und Du wirst es rausfinden!


Voraussetzungen

Was brauche ich, um ImgTool Burn zu benutzen?

  • einen PC

  • M$ Windows Version 98 oder besser

  • Ein installiertes Nero Burning Rom 6.3.x oder besser.

    Freie Demo verfügbar ...

  • Ein wenig Zeit, um etwas über DVDs zu lernen...

  • Seit ImgTool Burn Version 1.1.4 gibt es verschiedene Versionen von ImgTool für die verschiedenen Versionen von Nero.

    Wähle das beste ImgTool Burn für Dich:
    • Nero 6.3.x.x ==> ImgTool Burn 1.2.1 (API 6.3)
    • Nero 6.6.x.x - 7.x.x.x ==> ImgTool Burn 1.2.1 (API 6.6)


Die Bedienung von ImgTool Burn

Wie wird ImgTool Burn benutzt?

  • 1. wähle, ob Du auf CD oder DVD brennen willst
  • 2. wähle Deinen Brenner aus

    device list

  • Drücke den Knopf "DVD Dir."

    ... Button

  • wähle Dein DVD Verzeichnis

    choose dir
    Du kannst entweder das VIDEO_TS Verzeichnis direkt anwählen oder das Verzeichnis indem sich das VIDEO_TS Verzeichnis befindet.
    Nur wenn Du dieses "über" Verzeichnis anwählst, wird auch JACKET_P unterstützt.

  • Gib Deiner DVD einen Namen.
    Rechts neben dem Eingabefeld für den DVD Namen, kannst Du den "DVD-Namen-Countdown" sehen.

    Volume

  • Drücke den "Brennen" Knopf

    Burn

  • Schau Dir die Progress Bar an...

    progress

  • ... oder trinke ein Bier oder zwei


ImgTool Einstellungen

  • 1. klicke auf "Einstellungen" (oben links)
    Hier kannst Du die Dateisystem Einstellungen und andere Einstellungen vornehmen, sowie Deine Einstellungen abspeichern.

    Menu

  • 2. Hier kannst Du Deine Sprache einstellen. Die Änderungen werden wirksam sobald Du "OK" klickst.
    (Übrigens sind diese *.lng Dateien reine Textdateien, sodass einer Übersetzung in andere Sprachen nichts entgegensteht!)

    Sprache

  • 3. Im Dateisystem Dialog einfach so einstellen wie Du es brauchst. Die Defaults bekommst Du über die entsprechenden Button. Wenn Du im Haupdialog die Einstellung für den Medientyp änderst, werden die Flags automatisch auch geändert.

    Flags

  • 4. Vieleicht willst Du noch den Booktype auf DVD-ROM stellen oder hast noch andere Wünsche, die kannst Du unter "Andere Einstellungen" einstellen.

    Burn Settings

  • 5. In the Klang Einstellungen kannst Du WAV Dateien auswählen, die bei Beendigung des Brennvorgangs gespielt werden.

    Audio Settings

  • 5. Speichere Deine Einstellungen ab.


ImgTool Burn Command Line Mode

Command Line Mode

Seit Version 1.00.5 unterstützt "ImgTool Burn" den Command Line Mode.
Folgende Dinge solltest Du darüber wissen:
  • Du musst ImgTool mindestens einmal normal starten und Deine gewünschten Einstellungen abspeichern.

  • ImgTool läd die Konfigurationsdatei auch in diesem Modus

  • Lege ein leeres Medium in Deinen Brenner bevor Du ImgTool im Command Line Modus startest.

  • Folgende Optionen werden unterstützt:
    • -d "d:\Dein\DVD Root Verzeichnis"
      Das ist Dein Verzeichnis, wo sich Dein VIDEO_TS Verzeichnis befindet. Benutze Anführungszeichen ("), wenn der Verzeichnisname Leerzeichen enthält.
    • -v DVD_NAME
      Der Name der DVD, die gebrannt werden soll...
    • -s
      Fahre Windows runter, wenn alles fertig ist.
    • -e
      Werfe das Medium nicht aus, wenn es gebrannt ist.
    • -o
      Frage nicht nach, ob ein wiederbeschreibbares Medium überschrieben werden soll
      (sondern mach einfach...)
    • -l
      Speichere die Log Datei automatisch im selben Verzeichnis, in dem sich auch die ImgTool.exe befindet.

  • Wenn Du keine Konfigurations Datei hast, wird ImgTool mit folgenden Einstellungen starten:
    • benutze DVD Medium
    • benutze höchstmögliche Schreibgeschwindigkeit
    • UDF/ISO Bridge Dateisystem
    • werfe die DVD nach dem Brennen aus
    ...wenn Dir diese Einstellungen nicht gefallen, starte ImgTool, mache Deine Einstellungen und speichere sie ab.

  • Beispiel:

    ImgTool -s -d e:\dvd -v silence_of_the_lambs -o -e

    Das wird eine DVD brennen, die den Namen SILENCE_OF_THE_LAMBS trägt. Das Quellverzeichnis befindet sich in "e:\dvd", eine wiederbeschreibbare DVD wird ohne Nachfrage überschrieben, die DVD wird nicht ausgeworfen und Windows wird runtergefahren.


ImgTool Burn Kontext Mode

Kontext Mode

Der "Kontext Mode" ist nur ein Typ des "Command Line Modes". Damit ist es möglich ImgTool Burn mit Rechtsklick auf ein Verzeichnis zu starten, mit genau diesem Verzeichnis als Quellverzeichnis. Der entsprechende Eintrag im Kontext Menü heißt: "Burn with ImgTool".

context menu


Häfig gestellte Fragen (FAQ)

Frequently Asked Qusetions

(Häfig gestellte Fragen)
  • F: Was gibt es für ein Problem mit dem "neuanordnen"?
    A: ...keine so leichte Antwort. Ich habe viele Tests gemacht und bekam nur Probleme mit dem neuanordnen der DVD Files wenn wirklich etwas faul war.
    Wenn also dieser "neu anordnen" Fehler kommt, wird Deine DVD nicht 100%ig kompatibel sein wenn Du trotzdem weitermachst.

  • F: Wie kann ich die VTS Dateien sortieren?
    A: Das Sortieren ist nötig, um jede VTS Datei an genau die Stelle zu setzen, an der sie der DVD Player erwartet. ImgTool sortiert die Dateien für Dich, unabhängig davon ob Du "neu anordnen" an- oder abwählst.

  • F: Schönes Programm aber es startet nicht...
    A: Das hat meistens mit einer Treiber-Misskonfiguration zu tun. Der beste Weg is es Nero zu deinstallieren, alle anderen nicht benötigten Brennprogramme ebenfalls zu deinstallieren und Nero neu zu installieren. Das hilft in den meisten Fällen.

  • F: Nero kennt meinen Recorder aber ImgTool nicht...
    A: ...interessantes Problem...
    Schau mal in das Log Fenster: Findest Du irgendetwas von "ungültiger Seriennummer"? Da liegt das Problem. Es ist ohne weiteres möglich, dass Nero selbst mit einer ungültigen Seriennummer zusammenarbeitet, die API dies aber verbietet.
    Die Lösung ist einfach: Nimm Deine gültige Seriennummer und alles wird funktionieren.

  • F: Warum brennst Du keine fertigen DVD Images auf DVD?
    A: Das war auch meine erste Idee. Doch die API unterstützt das eben leider noch nicht (nur CD Images werden unterstützt). Sollte das aber irgendwann der Fall sein, wird auch ImgTool Burn DVD Image Dateien brennen können.

  • F: "Hoch Kompatibilitäts"... was...?
    A: Wenn Du diese Einstellung angewählt lässt, wird ImgTool Burn mindestens 1GB an Daten auf den Rohling brennen auch wenn Dein DVD Root Verzeichnis eigentlich kleiner ist. Das ist nötig weil manch älterer DVD Player eine DVD mit weniger Daten nicht erkennt.

  • F: Hast du Programmcode von Derrows DVDBurn gestohlen?
    A: Nein! Ich bin kein Dieb. Die Idee zur Nutzung der Nero API habe ich zwar von Derrow aber der Programm Code kommt von mir.

  • F: Warum änderst du die empfohlenen Dateisystem Einstellungen fast jede Version?
    A: Bis zur Nero API 1.02 gab es einen Bug, der immer auch einen Joliet Zweig im Dateisystem anlegte, auch wann das gar nicht gewünscht war. Um das zu unterdrücken habe ich ISO abgewählt, da dann auch der Joliet Zweig verschwunden war.
    Doch viele Leute hatten von nun an Probleme mit den erstellten DVDs. Deshalb habe ich das wieder geändert. Mit der Nero API 6 tritt dieser oben beschriebene Fehler nicht mehr auf.

  • F: Was für Zeichen sind für den DVD Namen zulässig?
    A: Nur ABCDEFGHIJKLMNOPQRSTUVWXYZ_0123456789 sind zulässig aber Du kannst auch kleine Buchstaben verwenden. Die werden von ImgTool in Großbuchstaben umgewandelt.

  • F: Welche Version von Nero ist die beste für ImgTool?
    A: Ein "DVD Player Spezielist" (Artemis ==> dv-rec.de) hat verschiedene Versionen von Nero auf ihre Kompatibilität hin untersucht und herausgefunden, dass es ab Version 5.5.10.7 keine Probleme mehr gab. Was ImgTool betrifft, kann ich ganz klar Nero 6.0.0.23 oder besser empfehlen.

  • F: Ab wann wird Dual-Layer-Recording unterstützt?
    A: Offiziell wird Dual-Layer-Recording seit Version 1.1.6 unterstützt. Allerdings muss dazu mindestens Nero 6.3 installiert sein (das passende ImgTool zu dieser Version setze ich jetzt einfach mal voraus!).


Read-Only Disc File Format

DVD Read-Only Disc File Format

1. Structure of the DVD-ROM Logical Format

The file format of the DVD-ROM family is common to DVD-ROM (computer applications), DVD-Video, and DVD-Audio discs. This makes it possible to handle the same content in the same way on both consumer-oriented stand-alone devices and computer systems.

However, there are a few minor restrictions on the file system for DVD-Video and DVD-Audio. This is to make it possible to play these discs on stand-alone devices which use simple software.

2. Overview of the DVD-ROM File Format

DVD-ROM uses the UDF (Universal Disk Format), but can also be accessed using ISO-9660, to provide compatibility with previous systems. This hybrid file system is called "UDF Bridge." As both file systems are able to access any file on the disc, all content on the disc can be accessed by using either file system.

3. Relationship with the Application Format

The files used for DVD-Video and DVD-Audio are arranged in directories called VIDEO_TS and AUDIO_TS, respectively. The files in these directories have predetermined names and extensions. Files with the extension ".IFO" contain application information needed to reproduce the content. For each ".IFO" file there is always a back-up file with the same name but the ".BUP" extension. Files with the ".VOB" extension contain the actual video or audio content.


How do I add jacket cover images to my disc?

Jacket cover images (generally referred to as Jacket_P images) are used by some DVD players to give a visual indication of what disc is available. Jacket_P images are most often utilized by players that can hold more than one DVD at a time (such as a Sony DVD jukebox).

Adding Jacket_P info to a disc is pretty simple. You will need to create one image that will be scaled to three different sizes (or, you could create a separate image for each size if you want to provide simplified graphics at lower resolutions). The three sizes are made available so that the DVD player can select the appropriate one for its display context (menus, details, etc.)

The sizes are as follows:
DVD Media Capacity
Filename | NTSC Size | PAL Size
J00___5L.MP2 | 720x480 | N/A
J00___5M.MP2 | 176x112 | N/A
J00___5S.MP2 | 96x64 | N/A
J00___6L.MP2 | N/A | 720x576
J00___6M.MP2 | N/A | 176x144
J00___6S.MP2 | N/A | 96x80

Note that your menu aspect ratio should be 4:3 and that there are three underscores in a row in the filenames.

As indicated by the filenames above, the images should be saved as MPEG2 encoded images.

Once you've made the files, create a Jacket_P folder, store the images in it, and include the folder as DVD-ROM data in your DSP project.